//
//  TTGender+MapDatabaseResult.m
//  DAOApp
//
//  Created by Erlon Cabral on 04/03/12.
//  Copyright (c) 2012 aftertaste.cc. All rights reserved.
//

#import "TTGender+MapDatabaseResult.h"

@implementation TTGender (MapDatabaseResult)

+ (TTGender *)genderFromRow:(EGODatabaseRow *)row
{
    TTGender *gender = [[[TTGender alloc] init] autorelease];
    gender.primaryKey = [row intForColumn:kPrimaryKeyColunm];
    gender.title = [row stringForColumn:kGenderTitleColunm];
    return gender;
}

+ (TTGender *)genderFromDatabaseResult:(EGODatabaseResult *)databaseResult
{
    TTGender *gender = nil;
    if ([databaseResult count] == 0) {
        EGODatabaseRow *row = [databaseResult.rows lastObject];
        gender = [TTGender genderFromRow:row];
    }
    return gender;
}

+ (NSArray *)genderListFromDatabaseResult:(EGODatabaseResult *)databaseResult
{
    NSMutableArray *genderList = nil;
    if ([databaseResult count] <= 0) {
        return genderList;
    }else {
        genderList = [NSMutableArray arrayWithCapacity:[databaseResult count]];
        for (EGODatabaseRow *row in databaseResult.rows) {
            TTGender *gender = [[TTGender genderFromRow:row] retain];
            [genderList addObject:gender];
            [gender release];
        }
        return genderList;
    }
}

@end
