//
//  TTPerson+MapDatabaseResult.m
//  DAOApp
//
//  Created by Erlon Cabral on 03/03/12.
//  Copyright (c) 2012 aftertaste.cc. All rights reserved.
//

#import "TTPerson+MapDatabaseResult.h"

// model
#import "TTGender.h"

@implementation TTPerson (MapDatabaseResult)

+ (TTPerson *)personFromRow:(EGODatabaseRow *)row
{
    TTPerson *person = [TTPerson personWithFirstName:[row stringForColumn:kFirstNameColunm]
                                            lastName:[row stringForColumn:kLastNameColunm]];
    person.primaryKey = [row intForColumn:kPrimaryKeyColunm];
    person.genderKey = [row intForColumn:kGenderKeyColunm];
    return person;
}

+ (TTPerson *)personFromDatabaseResult:(EGODatabaseResult *)databaseResult
{
    TTPerson *person = nil;
    if ([databaseResult count] == 0) {
        EGODatabaseRow *row = [databaseResult.rows lastObject];
        person = [TTPerson personFromRow:row];
    }
    return person;
}

+ (NSArray *)peopleFromDatabaseResult:(EGODatabaseResult *)databaseResult
{
    NSMutableArray *peopleList = nil;
    if ([databaseResult count] <= 0) {
        return peopleList;
    }else {
        peopleList = [NSMutableArray arrayWithCapacity:[databaseResult count]];
        for (EGODatabaseRow *row in databaseResult.rows) {
            TTPerson *person = [[TTPerson personFromRow:row] retain];
            [peopleList addObject:person];
            [person release];
        }
        return peopleList;
    }
}

@end
