//
//  TTGender.m
//  DAOApp
//
//  Created by Erlon Cabral on 04/03/12.
//  Copyright (c) 2012 aftertaste.cc. All rights reserved.
//

#import "TTGender.h"

// category
#import "TTGender+MapDatabaseResult.h"

NSString * const kGenderKeyColunm = @"genderKey";
NSString * const kGenderTitleColunm = @"title";

@implementation TTGender

@synthesize title = _title;

#pragma mark - 
#pragma mark - Instance methods

+ (TTGender *)find:(NSInteger)primaryKey
{
	TTGender *result = nil;
	EGODatabase *database = [EGODatabase databaseWithPath:[TTGender dbPath]];
    
	if ([database open]){
		EGODatabaseResult *resultSet = [database executeQuery:@"SELECT * FROM gender WHERE primaryKey = ? LIMIT 1" 
												   parameters:[NSArray arrayWithObjects:[NSNumber numberWithInt:primaryKey], nil]];
        
        result = [TTGender genderFromDatabaseResult:resultSet];
        [database close];
	}
	return result;
}

+ (NSArray *)findAll
{
	NSArray *result = nil;
	EGODatabase *database = [EGODatabase databaseWithPath:[TTGender dbPath]];
	
	if ([database open]){
		EGODatabaseResult *resultSet = [database executeQuery:@"SELECT * FROM gender ORDER BY primaryKey LIMIT 2"];
        result = [TTGender genderListFromDatabaseResult:resultSet];
        [database close];
	}
	return result;
}

#pragma mark -
#pragma mark - Memory

- (void)dealloc
{
    [_title release];
    [super dealloc];
}

@end
