//
//  TTModel.m
//  Letra
//
//  Created by Erlon Cabral on 24/02/12.
//  Copyright 2012 aftertaste.cc. All rights reserved.
//

#import "TTModel.h"

NSString * const kPrimaryKeyColunm = @"primaryKey";

@implementation TTModel

@synthesize primaryKey = _primaryKey;

#pragma mark -
#pragma mark Class methods

+ (void)copyDatabaseIfNeed
{
	NSFileManager *fileManager = [NSFileManager defaultManager];
	NSError *error;
	NSString *dbPath = [TTModel dbPath];
	BOOL success = [fileManager fileExistsAtPath:dbPath];
	if(!success) {
		NSString *defaultDBPath = [[[NSBundle mainBundle] resourcePath] stringByAppendingPathComponent:@"db.sqlite"];
		success = [fileManager copyItemAtPath:defaultDBPath toPath:dbPath error:&error];
		
		if (!success) {
			NSAssert1(0, @"Failed to create writable database file with message '%@'.", [error localizedDescription]);
		}
	}
}

+ (NSString *)dbPath
{
	return [NSHomeDirectory() stringByAppendingPathComponent:@"Documents/db.sqlite"];
}

#pragma mark -
#pragma mark Instance methods



@end
