//
//  TTPerson.h
//  Letra
//
//  Created by Erlon Cabral on 24/02/12.
//  Copyright 2012 aftertaste.cc. All rights reserved.
//

#import "TTModel.h"

extern NSString * const kFirstNameColunm;
extern NSString * const kLastNameColunm;

@class TTGender;

@interface TTPerson : TTModel {
	NSString *firstName;
	NSString *lastName;
    NSInteger genderKey;
    
    TTGender *gender;
}

@property (nonatomic, retain) NSString *firstName;
@property (nonatomic, retain) NSString *lastName;
@property (nonatomic, assign) NSInteger genderKey;
@property (nonatomic, retain) TTGender *gender;

+ (TTPerson *)personWithFirstName:(NSString *)first lastName:(NSString *)last;

+ (TTPerson *)find:(NSInteger)primaryKey;
+ (NSArray *)findAll;
+ (NSArray *)findAllByGenderKey:(NSInteger)genderKey;

- (id)initWithFirstName:(NSString *)first lastName:(NSString *)last;

- (BOOL)save;
- (BOOL)update;
- (BOOL)delete;

- (NSString *)fullName;
- (BOOL)validateFullName;

@end
